package cn.com.poc.common.segmentation;


import cn.com.poc.common.segmentation.domain.SegmentationConfig;
import cn.com.poc.common.segmentation.domain.SegmentationResult;

import java.util.List;

public abstract class SegmentationAbstract {

    protected String documentName;

    protected String content;
    protected String documentUrl;

    public List<SegmentationResult> scrap(SegmentationConfig config) {
        return null;
    }

    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }

    public void setDocumentUrl(String documentUrl) {
        this.documentUrl = documentUrl;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
